#include "iodefine.h"           //IO|[g̒`t@C@HEW

void HardwareSetup(void)
{

    #define D_BCR1    0x202f // CS0/CS2/CS3 are 16bit-bus,CS is 32 bit
    #define D_BCR2    0x5510 // wait 1 idle
    #define D_WCR1    0x0002 // CS0 is 2 wait, CS1-3 are 0 wait
    #define D_PACRH   0x5020 // WRHH WRHL DRAK0 are enable
    #define D_PACRL1  0x5550 // CK -RD -WRH -WRL -CS[1..0] are enable
    #define D_PBCR1   0x000a // A21/A20 are enable
    #define D_PBCR2   0xa005 // A19/A18/A17/16 are enable
    #define D_PCCR    0xffff // A15-0 are enable
    #define D_PDCRH1  0x5555 // D31-24 are enable
    #define D_PDCRH2  0x5555 // D23-16 are enable
    #define D_PDCRL   0xffff // D15-0 are enable
    
    P_BSC.BCR1.WORD=D_BCR1;
    P_BSC.BCR2.WORD=D_BCR2;
    P_BSC.WCR1.WORD=D_WCR1;
    
    P_PFC.PACRH.WORD = D_PACRH;
    P_PFC.PACRL1.WORD= D_PACRL1;
    P_PFC.PBCR1.WORD = D_PBCR1;
    P_PFC.PBCR2.WORD = D_PBCR2;
    P_PFC.PCCR.WORD  = D_PCCR;
    P_PFC.PDCRH1.WORD= D_PDCRH1;
    P_PFC.PDCRH2.WORD= D_PDCRH2;
    P_PFC.PDCRL.WORD = D_PDCRL;
}
